> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayrollJournalReport

> 
The `getPayrollJournalReport` API generates accounting journal entries for payroll transactions.

### What it does:

- Returns journal entry data for payroll transactions
- Encompasses a single pay period
- Provides highly detailed accounting information needed for accurate tax reporting
- Reports year-to-date measures for employees

### Notes:

- Used for tax system integration and financial reporting
- Retrieves data for all employees within a company so should be used as an administrative function



## OpenAPI

````yaml get /reports#getPayrollJournalReport
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports#getPayrollJournalReport:
    get:
      tags: []
      summary: getPayrollJournalReport
      description: >-

        The `getPayrollJournalReport` API generates accounting journal entries
        for payroll transactions.


        ### What it does:


        - Returns journal entry data for payroll transactions

        - Encompasses a single pay period

        - Provides highly detailed accounting information needed for accurate
        tax reporting

        - Reports year-to-date measures for employees


        ### Notes:


        - Used for tax system integration and financial reporting

        - Retrieves data for all employees within a company so should be used as
        an administrative function
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayrollJournalReport
                  example: getPayrollJournalReport
                payPeriodId:
                  type: string
                  format: uuid
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
                - payPeriodId
            example:
              method: getPayrollJournalReport
              payPeriodId: 410C7053-4656-4C28-BA9D-727101406F30
              companyId: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Employee:
                    type: object
                    properties:
                      EmployeeID:
                        type: string
                        format: uuid
                      CompanyID:
                        type: string
                        format: uuid
                      Employee:
                        type: string
                      PhoneNumber:
                        type: string
                      JobTitle:
                        type: string
                      Cust_EMP_ID:
                        type: string
                      details:
                        type: object
                        properties:
                          Employee:
                            type: object
                            properties:
                              EmployeeID:
                                type: string
                              CompanyID:
                                type: string
                              Employee:
                                type: string
                              PhoneNumber:
                                type: string
                              Cust_EMP_ID:
                                type: string
                              JobTitle:
                                type: string
                              EmployeeWages:
                                type: object
                                properties:
                                  WageRate:
                                    type: string
                                  WageBasis:
                                    type: object
                                    properties:
                                      WageBasis:
                                        type: string
                                    required:
                                      - WageBasis
                                  W4Informations:
                                    type: object
                                    properties:
                                      W4FilingStatus:
                                        type: object
                                        properties:
                                          W4FilingStatus:
                                            type: string
                                        required:
                                          - W4FilingStatus
                                      Dependents:
                                        type: number
                                    required:
                                      - W4FilingStatus
                                      - Dependents
                                  EmployeeAddress:
                                    type: object
                                    properties:
                                      Address:
                                        type: string
                                      Address1:
                                        type: string
                                      Address2:
                                        type: string
                                      City:
                                        type: string
                                      State:
                                        type: string
                                      Zipcode:
                                        type: string
                                    required:
                                      - Address
                                      - Address1
                                      - City
                                      - State
                                      - Zipcode
                                  EntityTax:
                                    type: object
                                    properties:
                                      TaxID:
                                        type: string
                                    required:
                                      - TaxID
                                  PayrollLineItem:
                                    type: object
                                    properties:
                                      PayPeriodID:
                                        type: string
                                        format: uuid
                                      PayrollLineItemID:
                                        type: string
                                        format: uuid
                                      PayrollLineItemDetails:
                                        type: object
                                        properties:
                                          CheckNumber:
                                            type: string
                                          Amount:
                                            type: string
                                          PayPercentage:
                                            type: string
                                          EmployeePayAccount:
                                            type: object
                                            properties:
                                              PayAccountTypeID:
                                                type: string
                                              EmployeePayAccountEntities:
                                                type: object
                                                properties:
                                                  AccountNumber:
                                                    type: string
                                                  RoutingNumber:
                                                    type: string
                                                required:
                                                  - AccountNumber
                                                  - RoutingNumber
                                            required:
                                              - PayAccountTypeID
                                              - EmployeePayAccountEntities
                                          PayPeriod:
                                            type: object
                                            properties:
                                              PayPeriod_PaySchedule:
                                                type: object
                                                properties:
                                                  StandardWorkingHours:
                                                    type: string
                                                required:
                                                  - StandardWorkingHours
                                            required:
                                              - PayPeriod_PaySchedule
                                          PayDate:
                                            type: string
                                          PayBeginDate:
                                            type: string
                                          PayEndDate:
                                            type: string
                                          WorkerType:
                                            type: object
                                            properties:
                                              WorkerType:
                                                type: string
                                            required:
                                              - WorkerType
                                          BaseTotal:
                                            type: string
                                          GrossTotal:
                                            type: string
                                          NetTotal:
                                            type: string
                                          payrollLineItemDetailsEmployeeTax:
                                            type: object
                                            properties:
                                              VertexRefTaxCodeMapping:
                                                type: object
                                                properties:
                                                  TaxIdentifierID:
                                                    type: string
                                                  TaxIdentifier:
                                                    type: string
                                                  TaxJurisdiction:
                                                    type: string
                                                required:
                                                  - TaxIdentifierID
                                                  - TaxIdentifier
                                                  - TaxJurisdiction
                                              TaxAmount:
                                                type: string
                                              TaxAmountYTD:
                                                type: string
                                            required:
                                              - VertexRefTaxCodeMapping
                                              - TaxAmount
                                              - TaxAmountYTD
                                          payrollLineItemDetailsEmployerTax:
                                            type: object
                                            properties:
                                              VertexRefTaxCodeMapping:
                                                type: object
                                                properties:
                                                  TaxIdentifierID:
                                                    type: string
                                                  TaxIdentifier:
                                                    type: string
                                                  TaxJurisdiction:
                                                    type: string
                                                required:
                                                  - TaxIdentifierID
                                                  - TaxIdentifier
                                                  - TaxJurisdiction
                                              TaxAmount:
                                                type: string
                                              TaxAmountYTD:
                                                type: string
                                            required:
                                              - VertexRefTaxCodeMapping
                                              - TaxAmount
                                              - TaxAmountYTD
                                          PayrollLineItemDeductions:
                                            type: object
                                            properties: {}
                                          PayrollLineItemAdditionalCompensations:
                                            type: object
                                            properties: {}
                                          PayrollLineItemYTDs:
                                            type: object
                                            properties:
                                              BaseTotal:
                                                type: string
                                              GrossTotal:
                                                type: string
                                              NetTotal:
                                                type: string
                                            required:
                                              - BaseTotal
                                              - GrossTotal
                                              - NetTotal
                                          payrollLineItemPrevious:
                                            type: object
                                            properties: {}
                                        required:
                                          - Amount
                                          - PayPercentage
                                          - EmployeePayAccount
                                          - PayPeriod
                                          - PayDate
                                          - PayBeginDate
                                          - PayEndDate
                                          - WorkerType
                                          - BaseTotal
                                          - GrossTotal
                                          - NetTotal
                                          - payrollLineItemDetailsEmployeeTax
                                          - payrollLineItemDetailsEmployerTax
                                          - PayrollLineItemDeductions
                                          - PayrollLineItemAdditionalCompensations
                                          - PayrollLineItemYTDs
                                          - payrollLineItemPrevious
                                    required:
                                      - PayPeriodID
                                      - PayrollLineItemID
                                      - PayrollLineItemDetails
                                required:
                                  - WageBasis
                                  - WageRate
                                  - W4Informations
                                  - EmployeeAddress
                                  - EntityTax
                                  - PayrollLineItem
                            required:
                              - EmployeeID
                              - CompanyID
                              - Employee
                              - PhoneNumber
                              - JobTitle
                              - EmployeeWages
                        required:
                          - Employee
                    required:
                      - EmployeeID
                      - CompanyID
                      - Employee
                      - PhoneNumber
                      - JobTitle
                      - details
                required:
                  - Employee
              example:
                Employee:
                  - employeeID: 4E80FBFB-7FFC-406F-B0E0-8F78CA7A29C8
                    companyID: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
                    report:
                      employeereportdetails:
                        - employeeID: 4E80FBFB-7FFC-406F-B0E0-8F78CA7A29C8
                          companyID: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
                          employeeName: Kim  James
                          phoneNumber: '9889890089'
                          custEmpID: ''
                          jobTitle: Manager
                          employeeWages:
                            - wageRate: 80
                              DifferentialPay: A52FFFA1-50E7-4579-B4A8-902C07EE51D5
                              PayrollRefPaymentMethodID: 46AD1353-0DAA-456A-BCBB-DE137736EC7E
                              wageBasis:
                                wageBasis: Per Week
                          w4Informations:
                            - w4FilingStatus:
                                w4FilingStatus: Head of household
                              dependents: 3
                          employeeAddress:
                            address: 650 Capitol Mall,  Sacramento, CA, 95814-4708
                            address1: 650 Capitol Mall
                            address2: ''
                            city: Sacramento
                            state: CA
                            zipcode: 95814-4708
                      EntityTax:
                        - taxID: '120520000'
                      PayrollLineItem:
                        - payPeriodID: 410C7053-4656-4C28-BA9D-727101406F30
                          payrollLineItemID: 87BC8593-5D72-416C-BE6A-F8D7E6290A74
                          quantity: 40
                          retro: false
                          retroAmount: 0
                          payrollLineItemDetails:
                            - checkNumber: null
                              amount: 96.44
                              payPercentage: 100
                              employeePayAccount:
                                payAccountTypeID: DF7ED049-B678-42BC-9921-D7E193B0BA28
                                employeePayAccountEntities:
                                  - accountNumber: '1111222233331111'
                                    routingNumber: '011401533'
                          payPeriod:
                            payPeriod_paySchedule:
                              standardWorkingHours: 8
                            payPeriod: 01/10/2025 - 01/16/2025
                            payDate: '2025-02-07'
                            payBeginDate: '2025-01-10'
                            payEndDate: '2025-01-16'
                            workerType:
                              workerType: W2
                          baseTotal: 111
                          grossTotal: 111
                          netTotal: 96.44
                          PayrollLineItem_OverTimes: []
                          PayrollLineItemReimbursements: []
                          payrollLineItemDetailsEmployeeTax: []
                          payrollLineItemDetailsEmployerTax: []
                          payrollLineItemDeductions: []
                          payrollLineItemAdditionalCompensations: []
                          payrollLineItemYTDs:
                            - baseTotalYTD: 111
                              grossTotalYTD: 111
                              netTotalYTD: 96.44
                      payrollLineItemPrevious: []
                  - employeeID: D8934854-20F7-4607-8007-A4B78254007F
                    companyID: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
                    report:
                      employeereportdetails:
                        - employeeID: D8934854-20F7-4607-8007-A4B78254007F
                          companyID: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
                          employeeName: Regina  Wise
                          phoneNumber: '2511630007'
                          custEmpID: null
                          jobTitle: HR
                          employeeWages: []
                          w4Informations: []
                          employeeAddress:
                            address: 102 Fallsgrove Blvd,  Rockville, MD, 20850-4713
                            address1: 102 Fallsgrove Blvd
                            address2: ''
                            city: Rockville
                            state: MD
                            zipcode: 20850-4713
                      EntityTax:
                        - taxID: '587400936'
                      PayrollLineItem: []
                      payrollLineItemPrevious: []
                Company:
                  - company: Torp Group
                    kybInformations:
                      - phoneNumber: '8587458008'
                EntityTax:
                  - taxID: '600800500'
                CompanyLocation:
                  - address: 8435 Colard Ln,  Lyons, CO, 80540
                    companyLocation: 22 Main
                    address1: 8435 Colard Ln
                    address2: ''
                    city: Lyons
                    state: CO
                    zipcode: '80540'
                PayPeriod:
                  - payDate: '2025-02-07'
                    payBeginDate: '2025-01-10'
                    payEndDate: '2025-01-16'
                    payPeriod: 01/10/2025 - 01/16/2025
                    workerType:
                      workerType: W2
                    isProcessed: true
                    isActive: true
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````